Vérifier un code OTP
curl --request POST \
--url https://api.notiline.net/v1/otp/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "+2250709538217",
"code": "1234"
}
'import requests
url = "https://api.notiline.net/v1/otp/verify"
payload = {
"to": "+2250709538217",
"code": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({to: '+2250709538217', code: '1234'})
};
fetch('https://api.notiline.net/v1/otp/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "success",
"data": {
"uniq_id": "unique_id",
"to": "+2250709538217",
"channel": "sms",
"verified_at": "2022-01-01 00:00:00",
"send_at": "2022-01-01 00:00:00",
"application_name": "MyApp"
}
}{
"status": 400,
"message": "erreur_de_validation",
"errors": [
"<string>"
]
}{
"status": 410,
"message": "code_otp_expir",
"errors": [
"<string>"
]
}{
"status": 500,
"message": "erreur_interne"
}Otp
Vérifier un code OTP
Vérifie un code OTP
POST
/
otp
/
verify
Vérifier un code OTP
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
application/json
⌘I